#ifndef _READ_TOC_H
#define _READ_TOC_H

#include "cd_toc_info.h"

/** reads (and normally displays, except when using --quiet) cd TOC.
  * @param[in] drive device handle for ioctl (wish this wasn't still type int)
  * @param[out] cdtocinfo TOC data struct populated by function
  * @param[out] cdtochdr TOC header struct populated by function
  * @param[in] silent Whether to shut up
  * @return 0 on success, errno on error.
  */
int readTOC(int, cd_toc_info *, struct cdrom_tochdr *, int);

#endif
